[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.DragStart

Starts dragging.

## Declaration

Source position: controls.pp line 484

`public procedure TDragManager.DragStart(`
`AControl: TControl;`
`AImmediate: Boolean;`
`AThreshold: Integer`
`); virtual; abstract;`

## Description

A DragObject must be created, depending on the Control.DragKind. The mouse has to be captured, and visual feedback must be initialized.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.